;Note, this is NOT a batch file... this is the config file for the
;Prowler Productions freeware INSTALL.EXE utility!!!

DISPLAY INSTALL.ANS
TWINKLE
LOCATE 22
COLOR 13
PRINT      Please enter the path to your WorldGroup/MajorBBS Main Directory:
STATLINE 23
COLOR 0
DEFAULT C:\WGSERV
GETPATH MAJORBBS.EXE
COLOR 0
LOCATE 22
PRINT ------------------------------------------------------------------------
LOCATE 23
PRINT ------------------------------------------------------------------------
STATLINE 22
COLOR 15

;Make Subdirectories for Lunatix files and documentation.

MAKEDIR LUN5ELEV
MAKEDIR LUN5DATA
MAKEDIR LUN5DOCS

;Clean up files that are no longer used.

KILL LUNOPTS.MSG
KILL LUNOPTS.MCV
KILL LUNTEMP.DAT
KILL LUNSAVE.OLD
KILL LUNOPTS.OLD
KILL LUNOPTS.H
KILL LUNBACK.DAT
KILL CWDERR3.LOG

;We're upgrading from "LUN" to "CWD" so rename necessary files now!

RENAME LUNATIX.MSG CWDLUNAT.MSG
RENAME LUNOPTS.DAT CWDLOPTS.DAT
RENAME LUNATIX.MCV CWDLUNAT.MCV
RENAME LUNROOMS.MCV CWDROOMS.MCV
RENAME LUNROOMS.H CWDROOMS.H
RENAME LUNATIX.H CWDLUNAT.H
RENAME LUNTITLE.MCV CWDTITLE.MCV
RENAME LUNTITLE.H CWDTITLE.H
RENAME LUNTODAY.TXT CWDTODAY.TXT
RENAME LUNYESTR.TXT CWDYESTR.TXT
RENAME LUNWALL1.DAT CWDLWALL.DAT
RENAME LUNERR0.LOG CWDLERR0.LOG
RENAME LUNERR1.LOG CWDLERR1.LOG
RENAME LUNERR2.LOG CWDLERR2.LOG
RENAME LUNERR3.LOG CWDLERR3.LOG
RENAME LUN5IGMS.TXT CWD5IGMS.TXT
RENAME LUN5ELEV.DAT CWD5ELEV.DAT
RENAME LUNROOMS.MSG CWDROOMS.MSG
RENAME LUNSTEMP.DAT CWDLTEMP.DAT
RENAME LUNTITLE.MSG CWDTITLE.MSG
RENAME LUNOLD1.DAT CWDLOLD1.DAT
RENAME LUNOLD2.DAT CWDLOLD2.DAT
RENAME LUNOLD3.DAT CWDLOLD3.DAT
RENAME LUNMAIL1.DAT CWDLMAIL.OLD
RENAME LUNMAIL.DAT CWDLMAIL.DAT
RENAME LUNSAVE.DAT CWDLSAVE.DAT
RENAME LUNMTEMP.DAT CWDMTEMP.DAT

;Begin copying the program, data, and documentation files.

COPY LUNATIX.DLL
COPY LUNATIX.MDF
COPY CWDROOMS.MSG
COPY CWDLUNAT.MSG
COPY CWDTITLE.MSG
COPY LUNJOKES.TXT LUN5DATA
UPDATE LUNRAND1.TXT LUN5DATA
UPDATE LUNRAND2.TXT LUN5DATA
COPY LUNDAILY.TXT LUN5DATA
COPY LUNDEATH.TXT LUN5DATA
COPY LUNCRAZY.TXT LUN5DATA
COPY LUNBEGIN.TXT LUN5DATA
COPY LUNDOC.TXT LUN5DATA
UPDATE LUNGUARD.TXT LUN5DATA
COPY LUNCLO1.TXT LUN5DATA
COPY LUNCLO2.TXT LUN5DATA
COPY LUNCLO3.TXT LUN5DATA
COPY LUNCLO4.TXT LUN5DATA
COPY LUNCLO5.TXT LUN5DATA
COPY LUNCLO6.TXT LUN5DATA
COPY LUNCLO7.TXT LUN5DATA
UPDATE LUNMON1.TXT LUN5DATA
UPDATE LUNMON2.TXT LUN5DATA
UPDATE LUNMON3.TXT LUN5DATA
UPDATE LUNMON4.TXT LUN5DATA
UPDATE LUNMON5.TXT LUN5DATA
UPDATE LUNMON6.TXT LUN5DATA
UPDATE LUNMON7.TXT LUN5DATA
UPDATE LUNMON8.TXT LUN5DATA
UPDATE LUNMON9.TXT LUN5DATA
UPDATE LUNMON10.TXT LUN5DATA
UPDATE LUNMON11.TXT LUN5DATA
UPDATE LUNMON12.TXT LUN5DATA
UPDATE LUNSYSNO.TXT LUN5DATA

COPY LUNATIX.DOC LUN5DOCS
COPY REGISTER.TXT LUN5DOCS
COPY WHATSNEW.DOC LUN5DOCS

COPY LUNTAC.LUN LUN5ELEV
COPY LUNTAC1.IGM LUN5ELEV
COPY LUNTAC2.IGM LUN5ELEV
COPY LUNTAC3.IGM LUN5ELEV
COPY LUNTAC4.IGM LUN5ELEV
COPY LUNTAC5.IGM LUN5ELEV
COPY LUNTAC6.IGM LUN5ELEV
COPY LUNTAC7.IGM LUN5ELEV

;Create or update the CNF options file for this version.

RUN LUNOPTS.EXE @

;Show the closing ANSI's to the user before exiting.

DISPLAY LUNINST.ANS
WAIT
